function [col]=collinear(X,Tol)

%disp('Subrotine of the main file banded_2Toeplitz_definite_main_routine.m');
%disp(' ')
%disp('Programmer: Ana Nata');
%disp('CMUC and Department of Mathematics') 
%disp('Polytechnic Institute of Tomar, Portugal')
%disp('e-mail: anata@ipt.pt')
%disp(' ');
%disp('April 2011')
%disp(' ')
%disp('This subroutine checks if the element of the vector X are collinear');

%%
slop_X=[];
col=1;
if size(X,2)==1 
    col=1;
else    
    for r=1:size(X,2)-1
        for s=r+1:size(X,2)
            if abs(real(X(r))-real(X(s)))<Tol
                slop_X=[slop_X pi/2];
            else
                slop_X=[slop_X (imag(X(r))-imag(X(s)))/(real(X(r))-real(X(s)))];
            end
            for t=1:size(slop_X,2)
                for k=t+1:size(slop_X,2)
                    if abs(slop_X(t)-slop_X(k))<Tol
                        col=1;
                    else
                        col=0;
                        return;
                    end     
                end
            end
        end   
    end  
end


    
    
    
    
    

              