function [X_round_dif]=generating_points(A,m,Tol,direc)

%disp('Subrotine of the main file banded_2Toeplitz_definite_main routine.m');
%disp(' ')
%disp('Programmer: Ana Nata');
%disp('CMUC and Department of Mathematics') 
%disp('Polytechnic Institute of Tomar, Portugal')
%disp('e-mail: anata@ipt.pt')
%disp(' ');
%disp('April 2011')
%disp(' ')
%disp('This subroutine compute points that belong to the boundary generating curve of the symbol matrix');

%%
i=sqrt(-1);
row=1;  
X=[]; 
    for t=1:size(direc,2)
        w=direc(t);
        H=(exp(2*(w-1)*pi*i/m)*A+ exp(-2*(w-1)*pi*i/m)*A')/2;
        [U,D]=eig(H);
        for s=1:size(U,2)
            u=U(:,s);
                if abs(real(u'*u))>=Tol %no-null norm
                    z2=real(u'*A*u)/real(u'*u);
                    z3=imag(u'*A*u)/real(u'*u);
                    X(row)=z2+i*z3;
                    row=row+1;
                end
         end  
    end    
       
    [X_round]=rounding(X); %rounding X
    [X_round_dif]=different_elements(X_round,Tol); %remove repeated elements of X
    

    
    