function [X_round_dif]=numerical_range(A,Tol)

%disp('Subrotine of the main file banded_2Toeplitz_definite_main routine.m');
%disp(' ')
%disp('Programmer: Ana Nata');
%disp('CMUC and Department of Mathematics') 
%disp('Polytechnic Institute of Tomar, Portugal')
%disp('e-mail: anata@ipt.pt')
%disp(' ');
%disp('April 2011')
%disp(' ')
%disp('This subroutine plots the boundary of the numerical range of the symbol matrix A');

%%
m=100;
    if isequal(A, A(1,1)*eye(size(A,2)))==1
        plot(real(A(1,1)),imag(A(1,1)),'.blue', 'MarkerSize',5)         
    end

[direc]=directions(A,m,Tol);
[X_round_dif]=generating_points(A,m,Tol,direc);
    
    if size(X_round_dif,2)>1
        [col]=collinear(X_round_dif,Tol);
            if col==1
                plot(real(X_round_dif),imag(X_round_dif),'color','blue');
            else
                Ind=convhull(real(X_round_dif),imag(X_round_dif));
                plot(real(X_round_dif(Ind)),imag(X_round_dif(Ind)),'color','blue');
            end
    end
axis equal;    
       
    